APIs / TikTok / Feed Search

TikTok: Feed Search

Feed Search from TikTok as JSON. 1 credit per successful call.

GET /v1/tiktok/feed-searchNeeds terms

Note
This endpoint needs the restricted-endpoint terms, which you can accept in your dashboard.

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
keywordsstringRequiredUp to 255 characters
countintegerOptionalAny
cursorstringOptionalUp to 100 characters
regionstringOptionalUp to 10 characters
publish_timeintegerOptionalAny
sort_typeintegerOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/tiktok/feed-search?keywords=basketball&region=US&count=10&cursor=0" \
  -H "X-API-Key: $API_KEY"